Subject: Re: [PATCH net-next 06/13] net: sfp: Add a sfp-bus ops when connecting a module without PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Fri, 30 Jan 2026 16:19:38 +0000

On Tue, Jan 27, 2026 at 02:41:54PM +0100, Maxime Chevallier wrote:
> The SFP bus infrastructure notifies its upstream when a PHY device was
> discovered on the module. However, we don't have any indication when a
> module with no PHY was inserted, except for the .insert() and .start()
> notifications.

That's the way you tell - if you get the .start() callback but you
haven't had a PHY connected, that means there's no PHY.

There should be no need to add this callback, since you shouldn't be
thinking that the module is fully initialised until you have received
the .start() callback.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!